import 'dart:async';

import 'package:flutter/services.dart';

class Mzanalytics {
  static const MethodChannel _channel =
      const MethodChannel('mzanalytics');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
  static Future<void>  ios_appid(String aid) async  {
    try {
        _channel.invokeMethod('ios_appid',{'appid':aid});   
    } on PlatformException {
      
    }
    
     
  }
  static Future<void>  ios_trackPageView(var parameter) async  {
    try {
     

         _channel.invokeMethod('ios_trackPageView',parameter);   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  ios_trackEvent(var parameter) async  {
    try {
     

         _channel.invokeMethod('ios_trackEvent',parameter);   
      
       
    } on PlatformException {
      
    }
    
     
  }


  static Future<void>  ios_trackSiteCustomEvent(var parameter) async  {
    try {
     

         _channel.invokeMethod('ios_trackSiteCustomEvent',parameter);   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  get ios_trackPulse async  {
    try {
     

         _channel.invokeMethod('ios_trackPulse');   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<String>  get ios_getCid async  {
    try {
     final String cid = await  _channel.invokeMethod('ios_getCid'); 
     return cid;

        
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  ios_setEnableLog(bool parameter) async  {
    try {
     

         _channel.invokeMethod('ios_setEnableLog',{'Enable':parameter});   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  ios_setEnableIDFA(bool parameter) async  {
    try {
     

         _channel.invokeMethod('ios_setEnableIDFA',{'Enable':parameter});   
      
       
    } on PlatformException {
      
    }
    
     
  }

  static Future<void>  ios_handleOpenURL(String url) async  {
    try {
     

         _channel.invokeMethod('ios_handleOpenURL',{'url':url});   
      
       
    } on PlatformException {
      
    }
    
     
  }

   
   

  
}
